Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

httpcomponents-core-4.4.13-2.10 RPM for noarch

From OpenSuSE Tumbleweed for noarch

Name: httpcomponents-core Distribution: openSUSE Tumbleweed
Version: 4.4.13 Vendor: openSUSE
Release: 2.10 Build date: Tue Oct 31 22:12:04 2023
Group: Development/Libraries/Java Build host: i03-ch2c
Size: 797757 Source RPM: httpcomponents-core-4.4.13-2.10.src.rpm
Packager: https://bugs.opensuse.org
Url: https://hc.apache.org/
Summary: Set of low level Java HTTP transport components for HTTP services
HttpCore is a set of low level HTTP transport components that can be
used to build custom client and server side HTTP services with a
minimal footprint. HttpCore supports two I/O models: blocking I/O
model based on the classic Java I/O and non-blocking, event driven I/O
model based on Java NIO.

The blocking I/O model may be more appropriate for data intensive, low
latency scenarios, whereas the non-blocking model may be more
appropriate for high latency scenarios where raw data throughput is
less important than the ability to handle thousands of simultaneous
HTTP connections in a resource efficient manner.

Provides

Requires

License

Apache-2.0

Changelog

* Sat Mar 19 2022 Fridrich Strba <fstrba@suse.com>
  - Build with source/target levels 8
* Mon Apr 27 2020 Fridrich Strba <fstrba@suse.com>
  - Upgraded to version 4.4.13
  - Removed patch:
    * 0001-Re-generated-expired-test-certificates.patch
      + included in this version
  - Modified patch:
    * httpcomponents-core-java8compat.patch
      + rediffed to changed context
* Sat Oct 05 2019 Fridrich Strba <fstrba@suse.com>
  - Avoid version-less dependencies in pom files, since
    xmvn-connector-gradle does not handle them well
* Wed Mar 13 2019 Fridrich Strba <fstrba@suse.com>
  - Initial packaging of httpcomponent-core 4.4.10
  - Generate and customize the ant build files
  - Added patches:
    * 0001-Re-generated-expired-test-certificates.patch
      + upstream fix to update expired certificates in tests
    * httpcomponents-core-java8compat.patch
      + fix code so that it produces binaries compatible with
      Java 8

Files

/usr/share/doc/packages/httpcomponents-core
/usr/share/doc/packages/httpcomponents-core/NOTICE.txt
/usr/share/doc/packages/httpcomponents-core/README.txt
/usr/share/doc/packages/httpcomponents-core/RELEASE_NOTES.txt
/usr/share/java/httpcomponents
/usr/share/java/httpcomponents/httpcore-nio.jar
/usr/share/java/httpcomponents/httpcore.jar
/usr/share/licenses/httpcomponents-core
/usr/share/licenses/httpcomponents-core/LICENSE.txt
/usr/share/maven-metadata/httpcomponents-core.xml
/usr/share/maven-poms/httpcomponents
/usr/share/maven-poms/httpcomponents/httpcore-nio.pom
/usr/share/maven-poms/httpcomponents/httpcore.pom


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Feb 2 23:25:35 2024